import request from '@/utils/request'

export default {
  imagesUpload: (params) => request.post(`/admin_base/imagesUpload`, params),

  getList: (p) =>
    request({
      url: '/site/list',
      method: 'get',
      params: p,
    }),

  addSite: (p) =>
    request({
      url: '/site/add',
      method: 'post',
      data: p,
    }),

  editSite: (p) =>
    request({
      url: '/site/edit',
      method: 'post',
      data: p,
    }),

  delSite: (p) =>
    request({
      url: `/site/delete/${p.id}`,
      method: 'get',
      params: p,
    }),
}
